Subject: RE: [idn] Forbidden characters

From: Yves Arrouye <[email-masked]>
Date: Thu, 26 Jul 2001 18:31:41 -0700

> >They are not forbidden: they will get folded to something 
> else. So you 
> >can still write and register your names with, say, U+00DC 
> LATIN CAPITAL 
> >LETTER U WITH DIAERESIS and U+2462 CIRCLED DIGIT THREE. They can be 
> >used in your applications and by your users. They are just strictly 
> >euqivalent to U+00FC LATIN SAMLL LETTER U WITH DIAERESIS and U+0031 
> >DIGIT ONE. Just like 'A' and 'a' are strictly equivalent 
> today in DNS.
> >
> 
> But today the name service itself can handle both 'A' and 
> 'a', and you can register a name with 'A' in it. When 
> nameprep is required to be done before a name enters the name 
> service, the name service cannot itself handle the above 
> characters. So in the name service they are forbidden and 
> cannot be returned from it. So for the DNS service (which 
> includes the DNS servers and the protocol) the characters are 
> forbidden.

Again, they are not forbidden. They can be used as input. What is not clear
(and controversial here) is whether you will ever get them back or not when
you decode the ACE. Some ACE preserve case. But normalization can't be
undone, so as you said, the name service cannot return them. We won't get
about adding a new RR for that here, but while I am for preserving case but
may live without it (after all, DNS names are not pretty, if I want
prettiness I'll use a layer above it), Roozbeh's comments about Arabic names
becoming different to their reader because of spontaneous joining of glyphs
certainly may spark some thinking.

YA

---

From: [email-masked]
Date: Fri, 27 Jul 2001 12:11:13 +1000

> certainly may spark some thinking.
	We have the same problem in English today.

	Say I had a store called "To Get Her Gifts".  Smashing the
	word together to get a domain name might not be what you
	what, e.g. togethergifts.com.  Especially if next door is
	"Together Gifts".

	There are also plenty of cases where a made up word in one
	language turns out to be a real word in a different language.

	You need to think before you register / create a domain name,
	not just run on automatic pilot.

	Mark
--
Mark Andrews, Nominum Inc.
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: Martin Duerst <[email-masked]>
Date: Fri, 27 Jul 2001 11:33:36 +0900

>         We have the same problem in English today.

Yes and no. In Arabic, you cannot just put together two words as you
can in English; if you do that, then cursive joining kicks in and
you may get another word (same as below) or something completely
unreadable.

Regards, Martin.